Jun 302009
 

On some old systems like centos 4.5, 4.7 openssl will need to be upgraded to newest version
Here are the steps to upgrade :

cd /usr/src
wget http://www.openssl.org/source/openssl-0.9.8k.tar.gz
tar -xvzf openssl-0.9.8k.tar.gz
cd openssl-0.9.8k
./config –prefix=/opt/openssl shared
make;make test;make install
/scripts/upcp –force

Running upcp after building fixes the openssl-devel files.
However, even though “openssl version” returns 0.9.8.k, apache still uses 0.9.7.a. I realize this has redhat security backports.

 Posted by at 10:02 am

 Leave a Reply